﻿@{
    ViewBag.Title = "BedInfo";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Bed Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                  
                    <!-- select Charges -->
                    <div class="form-group">
                        <label for="InputCharges" class="col-sm-2 control-label">Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputCharges">
                                <option>500</option>
                                <option>1000</option>
                                <option>1500</option>
                                <option>2000</option>
                                <option>2500</option>
                                <option>3000</option>
                                <option>3500</option>
                                <option>4000</option>
                                <option>4500</option>
                                <option>5000</option>
                            </select>
                        </div>
                    </div>

                    <!-- select Room ID -->
                    <div class="form-group">
                        <label for="InputRoomID" class="col-sm-2 control-label">Room ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputRoomID">
                                <option>1</option>
                                <option>2</option>
                                <option>3</option>
                                <option>4</option>
                                <option>5</option>

                            </select>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddBedData();">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>

<script>
    function AddBedData() {
        debugger;
        var RoomCharges = $('#InputCharges :selected').val();
        var RoomID = $('#InputRoomID :selected').val();

        $.ajax({
            url: '@Url.Action("AddBed", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ RoomCharges: RoomCharges, RoomID: RoomID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>
